# Generated by Django 4.1 on 2023-05-17 04:53

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        (
            "coreplus_notices",
            "0002_remove_broadcast_recipient_broadcast_groups_and_more",
        ),
    ]

    operations = [
        migrations.CreateModel(
            name="FirebaseDevice",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="Name"
                    ),
                ),
                (
                    "active",
                    models.BooleanField(
                        default=True,
                        help_text="Inactive devices will not be sent notifications",
                        verbose_name="Is active",
                    ),
                ),
                (
                    "date_created",
                    models.DateTimeField(
                        auto_now_add=True, null=True, verbose_name="Creation date"
                    ),
                ),
                (
                    "application_id",
                    models.CharField(
                        blank=True,
                        help_text="Opaque application identity, should be filled in for multiple key/certificate access",
                        max_length=64,
                        null=True,
                        verbose_name="Application ID",
                    ),
                ),
                (
                    "device_id",
                    models.CharField(
                        blank=True,
                        db_index=True,
                        help_text="Device ID",
                        max_length=255,
                        null=True,
                        verbose_name="Device ID",
                    ),
                ),
                ("registration_id", models.TextField(verbose_name="Registration ID")),
                (
                    "cloud_message_type",
                    models.CharField(
                        choices=[
                            ("FCM", "Firebase Cloud Message"),
                            ("GCM", "Google Cloud Message"),
                        ],
                        default="GCM",
                        help_text="You should choose FCM or GCM",
                        max_length=3,
                        verbose_name="Cloud Message Type",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "GCM device",
            },
        ),
    ]
